Bug 1025883 - cronie-anacron enabled by default on server installations.
cronie-anacron enabled by default on server installations.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cronie (Show other bugs)
6.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Marcela Mašláňová
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 15:50 EDT by John Kotches
Modified: 2014-03-20 11:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 11:00:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Kotches 2013-11-01 15:50:56 EDT
User-Agent:       Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; Trident/4.0; SLCC2; .NET CLR 2.0.50727; .NET CLR 3.5.30729; .NET CLR 3.0.30729; Media Center PC 6.0; .NET CLR 1.1.4322; .NET4.0C; .NET4.0E; Tablet PC 2.0; InfoPath.3; MS-RTC EA 2; MS-RTC LM 8)
Build Identifier: 

Bug causes unexpected behavior of cron and cron-like functions that anacron enables for server environments.

Servers in this era are expected to be up 24/7 rather than on an ad-hoc basis, and as such the inclusion of cronie-anacron causes some bizarre behavior that is totally unexpected in a server environment.

Reproducible: Always

Steps to Reproduce:
1. Install server (any type) without customization.
2. cronie-anacron (used for non-server type systems) enabled by default.


Actual Results:  
cronie-anacron (which messes with expected traditional cron operation) is installed, which can cause issues with cron / startup entries being executed in an unexpected fashion.

Expected Results:  
On a server type installation, it is expected that it will be operational on a 24/7 basis. 

Anacron is a tool used for desktops when the system may not be up on a 24/7 basis so that 

The cronie-noanacron option should be the default for any server installation.

Servers are 24/7 devices, and the server install tree should not include anacron enabled by default. 

The default action for any server setup should be to install cronie-noanacron for traditional cron behavior.
Comment 2 RHEL Product and Program Management 2013-11-04 15:25:35 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Marcela Mašláňová 2014-03-20 11:00:06 EDT
This behaviour change already happened five minor releases of RHEL back and change it now to something else would only make more broken servers.

I'm sorry for inconvenience, but the cronie upstream (mostly me) prefers cronie-anacron support.

Note You need to log in before you can comment on or make changes to this bug.